Skip to main content
`Ctrl`+`K`

# get_edge_attributes

get_edge_attributes(G, name, default=None)

  Get edge attributes from graph

  Parameters:
    G NetworkX Graph
    name string

      Attribute name

    default: object (default=None)

      Default value of the edge attribute if there is no value set for that edge in graph. If `None` then edges without this attribute are not included in the returned dict.

  Returns:
    Dictionary of attributes keyed by edge. For (di)graphs, the keys are
    2-tuples of the form: (u, v). For multi(di)graphs, the keys are 3-tuples of
    the form: (u, v, key).

  Examples

      >>> G = nx.Graph()
      >>> nx.add_path(G, [1, 2, 3], color="red")
      >>> color = nx.get_edge_attributes(G, "color")
      >>> color[(1, 2)]
      'red'
      >>> G.add_edge(3, 4)
      >>> color = nx.get_edge_attributes(G, "color", default="yellow")
      >>> color[(3, 4)]
      'yellow'